# Copyright 2011 Tommy Poulter
#
# This file is part of basechip.
#
# basechip is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# basechip is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with basechip.  If not, see <http://www.gnu.org/licenses/>.

module BaseChip
  class Problem
    attr_accessor :bundle
    attr_accessor :file
    attr_accessor :signature 
    def to_s
      if @bundle 
        "#{File.absolute_path(@bundle).gsub(/#{Regexp.escape($project_root)}\/?/,'$PROJECT_ROOT/')} #{@file} #{@signature}"
      else
                                                                                                   "#{@file} #{@signature}"
      end
    end
    def file_and_signature
                                                                                                   "#{@file} #{@signature}"
    end
  end
end
