# -*- encoding: utf-8 -*-
# stub: basechip 0.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "basechip".freeze
  s.version = "0.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tommy Poulter".freeze]
  s.date = "2011-10-26"
  s.description = "Define your project in terms of blocks, configurations, tests, and modes.  Install or Create recipes and/or plugins to define actions, compute clusters, and tools for simulation, synthesis, or anything else.  Run your actions, test_lists, or tests in parallel, with dependencies, on a cluster, or locally.  Share your recipes and plugins with people down the hall and around the world.".freeze
  s.email = "tppoulter@yahoo.com".freeze
  s.executables = ["basechip".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze, "bin/basechip".freeze]
  s.homepage = "http://basechip.com".freeze
  s.licenses = ["GPLv3".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "An open source simulation environment in Ruby".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<archive-tar-minitar>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<i18n>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, [">= 0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
    s.add_development_dependency(%q<rcov>.freeze, [">= 0"])
    s.add_development_dependency(%q<turn>.freeze, [">= 0"])
  else
    s.add_dependency(%q<archive-tar-minitar>.freeze, [">= 0"])
    s.add_dependency(%q<activesupport>.freeze, [">= 0"])
    s.add_dependency(%q<i18n>.freeze, [">= 0"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
    s.add_dependency(%q<rcov>.freeze, [">= 0"])
    s.add_dependency(%q<turn>.freeze, [">= 0"])
  end
end
