# Copyright 2011 Tommy Poulter
#
# This file is part of basechip.
#
# basechip is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# basechip is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with basechip.  If not, see <http://www.gnu.org/licenses/>.

cluster_type :local   do |t|
  t.cluster  :default do |c|
    # Process.spawn issues the command and returns the process id
    c.submit_procedure lambda { |command|
      Process.spawn command
    }
    # Don't need a procedure here.  BaseChip will add the id returned from submit_procedure to this command
    c.kill_command "kill -9"
  end
end

