# Copyright 2011 Tommy Poulter
#
# This file is part of basechip.
#
# basechip is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# basechip is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with basechip.  If not, see <http://www.gnu.org/licenses/>.

require 'base_chip/source_type'

module BaseChip
  class CodeArea
    include Dsl
    include Base
    define_children({:source_type=> SourceType})
    def verilog(&blk); source_type(:verilog,blk); end
    def inc(    &blk); source_type(:inc    ,blk); end
    def class(  &blk); source_type(:class  ,blk); end
    def vhdl(   &blk); source_type(:vhdl   ,blk); end
    def systemc(&blk); source_type(:systemc,blk); end
  end
end
