# Copyright 2011 Tommy Poulter
#
# This file is part of basechip.
#
# basechip is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# basechip is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with basechip.  If not, see <http://www.gnu.org/licenses/>.

module BaseChip
  class Statistic
    include Dsl
    include Base
    define_settings({:regex            => [Regexp , Array],
                     :error_if_missing => [Boolean       ],
                     :per_state        => [Boolean       ],
                     :across_states    => [Boolean       ],
                     :for_states       => [String , Array]})
  end
end
